[arch-commits] Commit in amarok/repos (extra-i686 extra-i686/PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Wed Jun 3 09:23:40 EDT 2009


    Date: Wednesday, June 3, 2009 @ 09:23:40
  Author: tpowa
Revision: 41360

Merged revisions 41357 via svnmerge from 
svn+ssh://tpowa@archlinux.org/srv/svn-packages/amarok/trunk

........
  r41357 | tpowa | 2009-06-03 13:17:16 +0000 (Mi, 03 Jun 2009) | 1 line
  
  upgpkg: amarok 2.0.96-2
........

Modified:
  amarok/repos/extra-i686/	(properties)
  amarok/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)


Property changes on: amarok/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /amarok/trunk:1-39335
   + /amarok/trunk:1-41359

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-06-03 13:20:07 UTC (rev 41359)
+++ extra-i686/PKGBUILD	2009-06-03 13:23:40 UTC (rev 41360)
@@ -4,11 +4,11 @@
 pkgname=amarok
 replaces=('amarok-base' 'amarok-engine-xine' 'amarok-base-mysqlfree')
 pkgver=2.0.96
-pkgrel=1
+pkgrel=2
 pkgdesc="amaroK - a media player for KDE"
 arch=("i686" "x86_64")
 url="http://amarok.kde.org"
-license=('GPL2')
+license=('GPL2' 'LGPL2' 'FDL')
 depends=('qt>=4.5' 'mysql>=5.1.34' 'libmysqlclient>=5.1.34' 'kdebase-runtime>=4.2' 'kdelibs' 'phonon' 'strigi' 'taglib' 'libmtp>=0.3.0' 'libgpod>=0.7.0' 'libmp4v2' 'qtscriptgenerator' 'taglib-extras')
 makedepends=('pkgconfig' 'automoc4' 'loudmouth' 'cmake' 'qca') 
 install=amarok.install
@@ -17,9 +17,15 @@
             'qca:        for ampache support')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release 
-  make || return 1
-  make DESTDIR=$startdir/pkg install
+   cd ${srcdir}
+   mkdir build
+   cd build
+   cmake ../${pkgname}-${pkgver} \
+           -DCMAKE_BUILD_TYPE=Release \
+           -DCMAKE_SKIP_RPATH=ON \
+           -DCMAKE_{SHARED,MODULE,EXE}_LINKER_FLAGS='-Wl,--no-undefined -Wl,--as-needed' \
+           -DCMAKE_INSTALL_PREFIX=/usr
+   make || return 1
+   make DESTDIR=${pkgdir} install || return 1
 }
 md5sums=('04239b2fec6e8dd8b2ea89db0779e196')



More information about the arch-commits mailing list